Package ru.bitel.bgbilling.plugins.fias.common.bean.bgbean

# Class AddressObj

java.lang.Object
ru.bitel.bgbilling.plugins.fias.common.bean.bgbean.AddressObj

All Implemented Interfaces:
  `GuiTitlable`

Direct Known Subclasses:
  `City`, `Street`

    public class AddressObj
    extends java.lang.Object
    implements GuiTitlable

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.lang.String` | `aoguid` |
  `protected java.lang.String` | `code` |
  `protected java.lang.String` | `level` |
  `protected java.lang.String` | `offname` |
  `protected java.lang.String` | `postalcode` |
  `protected java.lang.String` | `region` |
  `protected java.lang.String` | `shortname` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AddressObj()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getAoguid()` |
  `java.lang.String` | `getBgTitle()` |
  `java.lang.String` | `getCode()` |
  `java.lang.String` | `getFiasTitle()` |
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getId()` |
  `java.lang.String` | `getLevel()` |
  `java.lang.String` | `getOffname()` |
  `java.lang.String` | `getParentguid()` |
  `java.lang.String` | `getPostalcode()` |
  `java.lang.String` | `getRegion()` |
  `java.lang.String` | `getShortname()` |
  `void` | `setAddressObj​(AddressObj obj)` |
  `void` | `setAoguid​(java.lang.String aoguid)` |
  `void` | `setBgTitle​(java.lang.String bgTitle)` |
  `void` | `setCode​(java.lang.String code)` |
  `void` | `setId​(int id)` |
  `void` | `setLevel​(java.lang.String level)` |
  `void` | `setOffname​(java.lang.String offname)` |
  `void` | `setParentguid​(java.lang.String parentguid)` |
  `void` | `setPostalcode​(java.lang.String postalcode)` |
  `void` | `setRegion​(java.lang.String region)` |
  `void` | `setShortname​(java.lang.String socr)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### aoguid

    protected java.lang.String aoguid

  - ### code

    protected java.lang.String code

  - ### shortname

    protected java.lang.String shortname

  - ### offname

    protected java.lang.String offname

  - ### level

    protected java.lang.String level

  - ### postalcode

    protected java.lang.String postalcode

  - ### region

    protected java.lang.String region

- ## Constructor Details

  - ### AddressObj

    public AddressObj()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getFiasTitle

    public java.lang.String getFiasTitle()

  - ### getAoguid

    public java.lang.String getAoguid()

  - ### setAoguid

    public void setAoguid​(java.lang.String aoguid)

  - ### getCode

    public java.lang.String getCode()

  - ### setCode

    public void setCode​(java.lang.String code)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Object`

  - ### getShortname

    public java.lang.String getShortname()

  - ### setShortname

    public void setShortname​(java.lang.String socr)

  - ### getOffname

    public java.lang.String getOffname()

  - ### setOffname

    public void setOffname​(java.lang.String offname)

  - ### getLevel

    public java.lang.String getLevel()

  - ### setLevel

    public void setLevel​(java.lang.String level)

  - ### getPostalcode

    public java.lang.String getPostalcode()

  - ### setPostalcode

    public void setPostalcode​(java.lang.String postalcode)

  - ### getRegion

    public java.lang.String getRegion()

  - ### setRegion

    public void setRegion​(java.lang.String region)

  - ### getParentguid

    public java.lang.String getParentguid()

  - ### setParentguid

    public void setParentguid​(java.lang.String parentguid)

  - ### getBgTitle

    public java.lang.String getBgTitle()

  - ### setBgTitle

    public void setBgTitle​(java.lang.String bgTitle)

  - ### setAddressObj

    public void setAddressObj​(AddressObj obj)

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.